## gjs 1.76.0

=== debian/changelog ===
gjs (1.76.0-3) experimental; urgency=medium

  * debian/patches: Drop patch causing GNOME Characters not to show emojis
    (LP: #2015948)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 12 Apr 2023 05:40:15 +0200

gjs (1.76.0-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Add context-Clear-all-vectors-of-JS-Heap-on-dispose.patch (LP: #1974293)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Do not leak GVariants and other handled objects
    (LP: #1991709, #2012978)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 12 Apr 2023 04:42:41 +0200

gjs (1.76.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:45:59 -0400

gjs (1.75.90-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 12:37:19 -0500

gjs (1.75.2-2) experimental; urgency=medium

  * debian/patches: Correctly convert signed char from and to GValue's.
    Fixes a test error in some archs including arm64, s390x, armhf and ppc.
  * debian/patches: Support virtual functions and callbacks returning
    transfer-none strings.
    This is something used by some extensions (dash-to-dock), so we need to
    support them without leaking.
  * debian/rules: Use unity builds.
    It can produce faster builds and faster code, and gjs supports it
    upstream (running a CI job to check it works) so let's use it.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Feb 2023 22:20:58 +0100

gjs (1.75.2-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gobject-introspection to 1.71
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 08:28:32 -0500

gjs (1.74.2-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 07:13:29 -0500

gjs (1.74.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Build-/test-depend on dbus-daemon instead of dbus.
    This is sufficient to provide dbus-run-session.
  * Update Lintian override syntax
  * Set field Upstream-Name in debian/copyright
  * Update standards version to 4.6.1 (no changes needed)
  * d/upstream/metadata: Add
  * d/watch, d/gbp.conf: Only watch for stable releases.
    We'll follow 1.74.x for Debian 12.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 09:03:01 +0000

gjs (1.74.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:34:26 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gjs
Section: interpreters
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               pkg-config (>= 0.28),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libglib2.0-dev (>= 2.58.0),
               libgirepository1.0-dev (>= 1.71),
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.71),
               libmozjs-102-dev,
               libreadline-dev,
               meson (>= 0.54.0),
               dbus-daemon <!nocheck>,
               dbus-x11 <!nocheck>,
               at-spi2-core <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis

Package: gjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: gjs-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gjs,
         at-spi2-core
Description: Mozilla-based javascript bindings for the GNOME platform (tests)
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libgjs0g
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Breaks: gnome-characters (<< 3.25.92),
        gnome-documents (<< 3.30.0),
        gnome-maps (<< 3.26.1),
        gnome-shell (<< 3.38.6),
        gnome-sound-recorder (<< 3.28.1-3~),
        gnome-weather (<< 3.25.91),
        polari (<< 3.29.91),
        ostree-tests (<< 2017.11-1~),
Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgjs0g (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.64),
         libcairo2-dev,
         libmozjs-102-dev,
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

## gjs 1.76.2

=== debian/changelog ===
gjs (1.76.2-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS
    on mips64el". meson 1.2.1 fixed the underlying issue.

  [ Simon McVittie ]
  * d/p/function-Always-initialize-callback-return-value.patch:
    Add patch backported from upstream 1.77.1 avoiding infinite loops
    of idle callbacks if an idle handler is called during GC. The most
    common reason for this is if a GNOME Shell extension incorrectly does
    not disconnect all of its signal/idle/timeout handlers. This change
    mitigates the infinite loop and associated log flooding, but does not
    fix the extension behaviour. (Closes: #1034356)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 11:34:22 +0100

gjs (1.76.2-3) unstable; urgency=medium

  * Team upload
  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    (Mitigates: #1041499)

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Jul 2023 00:44:58 +0100

gjs (1.76.2-2) unstable; urgency=medium

  * Update debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 06:59:46 -0400

gjs (1.76.2-1) experimental; urgency=medium

  * New upstream release (LP: #2023571)
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 18:44:22 -0400

gjs (1.76.1-1) experimental; urgency=medium

  * New upstream release (LP: #2023571)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Jun 2023 18:53:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,7 +26,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis

## gjs 1.78.0

=== debian/changelog ===
gjs (1.78.0-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * Switch from mozjs102 to 115 (LP: #2034276)
  * Drop all patches: applied in new release
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Sep 2023 13:21:46 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -17,7 +18,7 @@
                libgirepository1.0-dev (>= 1.71),
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.71),
-               libmozjs-102-dev,
+               libmozjs-115-dev,
                libreadline-dev,
                meson (>= 0.54.0),
                dbus-daemon <!nocheck>,
@@ -89,7 +90,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.64),
          libcairo2-dev,
-         libmozjs-102-dev,
+         libmozjs-115-dev,
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the

## gjs 1.78.2

=== debian/changelog ===
gjs (1.78.2-2) unstable; urgency=medium

  * Include changes from 1.78.1-3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:27:41 -0500

gjs (1.78.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Drop obsolete Breaks, Conflicts, Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:21:04 -0500

gjs (1.78.1-3) unstable; urgency=medium

  * libgjs0g: Explicitly depend on all typelibs imported by built-in
    modules.
    imports.package depends on GLib, GObject and Gio, not just
    GIRepository. In practice gir1.2-girepository-2.0 (or the package
    that provides it) will pull in all of those, so this is really just
    for completeness.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 18:29:48 +0000

gjs (1.78.1-2) unstable; urgency=medium

  * Team upload
  * d/control: libgjs0g Depends on gir1.2-girepository-2.0.
    This is used internally, and is likely to need to be separated from
    gir1.2-glib-2.0 during the GNOME 46 (GLib 2.79/2.80) cycle. At the
    moment, it is a virtual package provided by the gir1.2-glib-2.0
    package.

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Dec 2023 22:04:23 +0000

gjs (1.78.1-1) unstable; urgency=medium

  * New upstream release (LP: #2045699)
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 17:15:40 -0500

gjs (1.78.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from mozjs102 to 115 (LP: #2034276)
  * Drop all patches: applied in new release
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 21 Oct 2023 13:18:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                pkg-config (>= 0.28),
                libcairo2-dev,
                libffi-dev (>= 3.3),
@@ -64,17 +58,11 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${gir:Depends}
-Breaks: gnome-characters (<< 3.25.92),
-        gnome-documents (<< 3.30.0),
-        gnome-maps (<< 3.26.1),
-        gnome-shell (<< 3.38.6),
-        gnome-sound-recorder (<< 3.28.1-3~),
-        gnome-weather (<< 3.25.91),
-        polari (<< 3.29.91),
-        ostree-tests (<< 2017.11-1~),
-Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
-Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
+         ${gir:Depends},
+         gir1.2-gio-2.0,
+         gir1.2-girepository-2.0,
+         gir1.2-glib-2.0,
+         gir1.2-gobject-2.0,
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the

## gjs 1.78.3

=== debian/changelog ===
gjs (1.78.3-1) unstable; urgency=medium

  * New upstream release
    - Fixes GNOME Shell Extensions preferences dialog closing after
      few seconds (LP: #2048931)
  * Add Build-Depends: gir1.2-gio-2.0-dev, gir1.2-gobject-2.0-dev
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 07:52:28 -0500

=== debian/control ===
Source: gjs
Section: interpreters
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: at-spi2-core <!nocheck>,
               dbus-daemon <!nocheck>,
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.71),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libgirepository1.0-dev (>= 1.71),
               libglib2.0-dev (>= 2.58.0),
               libmozjs-115-dev,
               libreadline-dev,
               meson (>= 0.54.0),
               pkg-config (>= 0.28),
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis

Package: gjs
Architecture: any
Depends: gir1.2-gtk-3.0,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: gjs-tests
Architecture: any
Depends: at-spi2-core,
         gjs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform (tests)
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libgjs0g
Architecture: any
Multi-Arch: same
Section: libs
Depends: gir1.2-gio-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0,
         gir1.2-gobject-2.0,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcairo2-dev,
         libgirepository1.0-dev (>= 1.64),
         libgjs0g (= ${binary:Version}),
         libmozjs-115-dev,
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

## gjs 1.79.3

=== debian/changelog ===
gjs (1.79.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 15:51:42 -0500

## gjs 1.80.2

=== debian/changelog ===
gjs (1.80.2-1build2) noble; urgency=high

  * No change rebuild against libmozjs-115-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:39:54 +0200

gjs (1.80.2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:48:34 +0000

gjs (1.80.2-1) unstable; urgency=medium

  * New upstream release
    - Fix ppc64el build (Closes: #1065613)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 08:45:30 -0400

gjs (1.80.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 07:42:59 -0400

gjs (1.80.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 16:05:23 -0400

gjs (1.79.90-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 16:24:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
@@ -27,7 +28,7 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
+Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
 
 Package: gjs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--unity=on \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		$(NULL)

execute_after_dh_auto_install:
	rm -f debian/tmp/usr/libexec/installed-tests/gjs/js/modules/*/.eslintrc.yml

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/gjs/girepository-1.0

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gjs/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_auto_test:
	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/gjs-1.0 -- -c4

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential,
         libgjs-dev

Tests: installed-tests
Depends: dbus-daemon,
         dbus-x11,
         gjs-tests,
         gnome-desktop-testing,
         xauth,
         xvfb

## gjs 1.82.0

=== debian/changelog ===
gjs (1.82.0-1) experimental; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 08:17:54 -0400

gjs (1.81.90-2) experimental; urgency=medium

  * Team upload
  * d/p/installed-tests-Fix-the-search-path-that-is-compiled-into.patch:
    Mark patch as applied upstream
  * d/p/arg-cache-Init-out-parameters-with-correct-number-of-bits.patch:
    Fix out-argument initialization on 32-bit instead of skipping the test
    - d/p/Skip-testUninitializedOutParameter-for-now.patch:
      Drop patch, no longer needed

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2024 12:34:38 +0100

gjs (1.81.90-1) experimental; urgency=medium

  * New upstream release candidate
  * d/copyright: Update
  * d/watch.devel: Add a watch file for upstream prereleases
  * d/p/installed-tests-fix-libexecdir.patch:
    Drop patch, applied upstream
  * d/p/installed-tests-Fix-the-search-path-that-is-compiled-into.patch:
    Add proposed patch to fix autopkgtest failures (Closes: #1079499)
  * d/p/Skip-testUninitializedOutParameter-for-now.patch:
    Add patch to skip a newly-added test that fails on 32-bit
    architectures (workaround for GNOME/gjs#642)
  * Run tests using dbus-run-session instead of dbus-x11.
    This avoids pulling in backwards-compatibility code in
    /etc/X11/Xsession.d.
  * Fix some Lintian warnings

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 12:53:52 +0100

gjs (1.81.2-2) experimental; urgency=medium

  * Enable sysprof profiling support on available architectures
  * Add patch to fix autopkgtest libexecdir

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 23:52:56 -0400

gjs (1.81.2-1) experimental; urgency=medium

  * New upstream release
  * Build with mozjs128
  * debian/libgjs0g.symbols: Add new symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Aug 2024 07:57:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
-               dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-gio-2.0-dev,
@@ -18,14 +16,14 @@
                libffi-dev (>= 3.3),
                libgirepository1.0-dev (>= 1.71),
                libglib2.0-dev (>= 2.58.0),
-               libmozjs-115-dev,
+               libmozjs-128-dev,
                libreadline-dev,
                meson (>= 0.54.0),
-               pkg-config (>= 0.28),
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
@@ -81,9 +79,9 @@
 Depends: libcairo2-dev,
          libgirepository1.0-dev (>= 1.64),
          libgjs0g (= ${binary:Version}),
-         libmozjs-115-dev,
+         libmozjs-128-dev,
          ${misc:Depends}
-Description: Mozilla-based javascript bindings for the GNOME platform
+Description: Mozilla-based javascript bindings for GNOME - development files
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.

## gjs 1.82.1

=== debian/changelog ===
gjs (1.82.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix a gnome-shell crash during GC when switching between users,
      found by Fedora openQA
  * Remove version constraints unnecessary since Debian 11
  * d/control: Switch dependencies from libgirepository1.0-dev to
    libgirepository-1.0-dev.
    The former is not multi-arch co-installable, the latter is.
  * Add missing Build-Depends on gir1.2-cairo-1.0-dev
  * Add missing Build-Depends on gir1.2-girepository-2.0-dev

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 13:25:30 +0000

gjs (1.82.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 09:45:04 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 export DH_VERBOSE=1
 
+ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
+SYSPROF = -Dprofiler=disabled
+endif
+
 %:
 	dh $@
 
@@ -16,7 +20,7 @@
 	dh_auto_configure -- \
 		--unity=on \
 		-Dauto_features=enabled \
-		-Dprofiler=disabled \
+		$(SYSPROF) \
 		$(NULL)
 
 execute_after_dh_auto_install:
@@ -39,6 +43,7 @@
 	obj-$(DEB_HOST_GNU_TYPE)/gjs-console -c 'print("Smoke-test OK")'
 	env \
 		TZ=UTC \
+	dbus-run-session -- \
 	xvfb-run -a \
 	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

## gjs 1.82.3

=== subprojects/gobject-introspection-tests/meson_options.txt ===
# SPDX-FileCopyrightText: 2024 Philip Chimento <philip.chimento@gmail.com>

option('cairo', type: 'boolean', value: true, description: 'Cairo support')
option('install_dir', type: 'string',
    description: 'Location to install test libraries and typelibs')

=== debian/changelog ===
gjs (1.82.3-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf, d/control: Update packaging branch for forky
  * d/patches: Add patches backported from upstream 1.86.0 to be
    compatible with GLib 2.86 (Closes: #1115351)
  * d/control: Remove Rules-Requires-Root, no longer necessary since trixie
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2025 17:30:55 +0100

gjs (1.82.3-1) unstable; urgency=medium

  * New upstream release
  * Branch for trixie and watch for 1.82.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 09:46:37 -0400

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,24 @@
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
+               gir1.2-cairo-1.0-dev,
                gir1.2-gio-2.0-dev,
+               gir1.2-girepository-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gtk-3.0,
                gobject-introspection (>= 1.71),
                libcairo2-dev,
-               libffi-dev (>= 3.3),
-               libgirepository1.0-dev (>= 1.71),
-               libglib2.0-dev (>= 2.58.0),
+               libffi-dev,
+               libgirepository-1.0-dev (>= 1.71),
+               libglib2.0-dev,
                libmozjs-128-dev,
                libreadline-dev,
-               meson (>= 0.54.0),
+               meson,
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                xauth <!nocheck>,
                xvfb <!nocheck>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b debian/forky
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
 
@@ -77,7 +78,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libcairo2-dev,
-         libgirepository1.0-dev (>= 1.64),
+         libgirepository-1.0-dev,
          libgjs0g (= ${binary:Version}),
          libmozjs-128-dev,
          ${misc:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 Tests: installed-tests
 Depends: dbus-daemon,
-         dbus-x11,
          gjs-tests,
          gnome-desktop-testing,
          xauth,

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	1.82/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gjs 1.85.1

=== debian/changelog ===
gjs (1.85.1-2) experimental; urgency=medium

  * Add patch to fix s390x build (Closes: #1101694)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Jul 2025 14:43:42 -0400

gjs (1.85.1-1) experimental; urgency=medium

  * New upstream release
  * Move Depends: gir1.2-gtk-3.0 & 4.0 from gjs to gjs-tests
  * Run gtk4 build tests
  * Add patch to fix installed tests failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Jul 2025 12:50:53 -0400

gjs (1.84.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 09:39:16 -0400

gjs (1.84.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Bump minimum gtk3 for build test fixes
  * debian/libgjs0g.symbols: Update
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Mar 2025 18:13:51 -0400

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,28 @@
                gir1.2-gio-2.0-dev,
                gir1.2-girepository-2.0-dev,
                gir1.2-gobject-2.0-dev,
-               gir1.2-gtk-3.0,
-               gobject-introspection (>= 1.71),
+               gobject-introspection,
                libcairo2-dev,
                libffi-dev,
-               libgirepository-1.0-dev (>= 1.71),
+               libgirepository-1.0-dev,
                libglib2.0-dev,
+               libgtk-3-dev (>= 3.24.49-3~) <!nocheck>,
+               libgtk-4-dev,
                libmozjs-128-dev,
                libreadline-dev,
-               meson,
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
+               meson (>= 1.4),
+               libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b debian/forky
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
 
 Package: gjs
 Architecture: any
-Depends: gir1.2-gtk-3.0,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
  Makes it possible for applications to use all of GNOME's platform
@@ -44,6 +45,8 @@
 Package: gjs-tests
 Architecture: any
 Depends: at-spi2-core,
+         gir1.2-gtk-3.0,
+         gir1.2-gtk-4.0,
          gjs,
          ${misc:Depends},
          ${shlibs:Depends}

## gjs 1.85.2

=== debian/changelog ===
gjs (1.85.2-0ubuntu4) questing; urgency=medium

  * debian/rules: Ignore new symbols in arm64.
    As per -Dbsymbolic_functions we are getting new private symbols being
    exported, for some reason.
    We do not care about them though, so let's just ignore them for this
    arch for now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 06:09:16 +0200

gjs (1.85.2-0ubuntu3) questing; urgency=medium

  * debian/rules: Actually skip symbolic functions on ARM64

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 05:47:42 +0200

gjs (1.85.2-0ubuntu2) questing; urgency=medium

  * debian/rules: Disable symbolic functions in arm64

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 05:26:10 +0200

gjs (1.85.2-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/control: Update vcs references to ubuntu branch
  * debian/control: Rename libgjs0g to libgjs0.
    Gjs now depends on libgirepository-2.0, so any application that was
    previously loading libgjs needs to be rebuilt and compiled without any
    libgirepository-1.0, as both cannot stay in the same process.
    Upstream did not bump the soname version since it's not technically an
    ABI change.
    To ensure that no app may be broken by the updated, let's rename the
    package, to require all the reverse dependencies to be re-compiled.
    We take the occasion to stop using the libgjs0g -> libgjs0h naming
    as it was not standard way to handle JS breaks, but rather we go back
    to libgjs0.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 04:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
@@ -10,16 +11,15 @@
                dh-sequence-gir,
                gir1.2-cairo-1.0-dev,
                gir1.2-gio-2.0-dev,
-               gir1.2-girepository-2.0-dev,
+               gir1.2-girepository-3.0-dev,
                gir1.2-gobject-2.0-dev,
-               gobject-introspection,
                libcairo2-dev,
                libffi-dev,
-               libgirepository-1.0-dev,
-               libglib2.0-dev,
+               libgirepository-2.0-dev,
+               libglib2.0-dev (>= 2.85.1),
                libgtk-3-dev (>= 3.24.49-3~) <!nocheck>,
                libgtk-4-dev,
-               libmozjs-128-dev,
+               libmozjs-140-dev,
                libreadline-dev,
                meson (>= 1.4),
                libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
@@ -27,8 +27,10 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/latest
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
 
 Package: gjs
@@ -58,17 +60,19 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: libgjs0g
+Package: libgjs0
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: gir1.2-gio-2.0,
-         gir1.2-girepository-2.0,
+         gir1.2-girepository-3.0,
          gir1.2-glib-2.0,
          gir1.2-gobject-2.0,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libgjs0g
+Replaces: libgjs0g
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
@@ -81,9 +85,9 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libcairo2-dev,
-         libgirepository-1.0-dev,
-         libgjs0g (= ${binary:Version}),
-         libmozjs-128-dev,
+         libgirepository-2.0-dev,
+         libgjs0 (= ${binary:Version}),
+         libmozjs-140-dev,
          ${misc:Depends}
 Description: Mozilla-based javascript bindings for GNOME - development files
  Makes it possible for applications to use all of GNOME's platform

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,14 @@
 SYSPROF = -Dprofiler=disabled
 endif
 
+ifneq ($(filter arm64,$(DEB_HOST_ARCH)),)
+SYMBOLIC_FUNCTIONS = -Dbsymbolic_functions=false
+
+# The previous parameter is needed in arm now, but it leads to new private
+# symbols being exposed, although we don't care about tracking them.
+DPKG_GENSYMBOLS_CHECK_LEVEL = 1
+endif
+
 %:
 	dh $@
 
@@ -21,6 +29,7 @@
 		--unity=on \
 		-Dauto_features=enabled \
 		$(SYSPROF) \
+		$(SYMBOLIC_FUNCTIONS) \
 		$(NULL)
 
 execute_after_dh_auto_install:

## gjs 1.85.90

=== debian/changelog ===
gjs (1.85.90-4) experimental; urgency=medium

  * d/p: Import patches to have properly named platform-specific symbols in Gio
    The Unix symbols needs to be scoped in the Unix name when used through the
    Gio namespace.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 18:04:59 +0200

gjs (1.85.90-3) experimental; urgency=medium

  * d/p: Fix checking interface properties
    GObject.type_default_interface_ref() is no longer
    introspectable for some reason, but as it is deprecated
    in favor of GObject.type_default_interface_get() anyway,
    use that instead.
    As per this, drop the patch we had to disable the failing test
  * d/p: Fix Gtk4 warning test with gtk 4.20

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 04:19:13 +0200

gjs (1.85.90-2) experimental; urgency=medium

  * No change rebuild.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Sep 2025 11:44:11 +0200

gjs (1.85.90-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop patches applied upstream
  * debian/control: Make gjs depend on binary version of libgjs0.
    While gjs use symbols of libgjs0 and so we can rely on debian shlib
    depends to figure out the version we require, it also relies on the
    JS overrides that are shipped as resources and on the private gjs
    typelib that is included in the library package.
    Given that these dependencies are not automatically tracked, it's just
    safer to make gjs depend on the very same library version not to have
    unexpected behavior
  * debian/control: Make gjs-tests to depend on same gjs version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Sep 2025 11:21:16 +0200

gjs (1.85.2-2) experimental; urgency=medium

  * d/p: Add patches to add to Gio platform-specific symbols.
    Be proactive and get the upstream patches early so that if GLib gets
    updated we are not broken (LP: #2120780)
  * d/p: Ignore failing tests due to old test library

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 05:47:16 +0200

gjs (1.85.2-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop, applied upstream
  * debian/control: Bump build and runtime dependencies
  * debian/control: Rename libgjs0g to libgjs0.
    Gjs now depends on libgirepository-2.0, so any application that was
    previously loading libgjs needs to be rebuilt and compiled without any
    libgirepository-1.0, as both cannot stay in the same process.
    Upstream did not bump the soname version since it's not technically an
    ABI change.
    To ensure that no app may be broken by the updated, let's rename the
    package, to require all the reverse dependencies to be re-compiled.
    We take the occasion to stop using the libgjs0g -> libgjs0h naming
    as it was not standard way to handle JS breaks, but rather we go back
    to libgjs0.
  * debian/rules: Disable symbolic functions in arm64

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 11 Aug 2025 15:44:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
@@ -27,15 +26,14 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gjs/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
 
 Package: gjs
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libgjs0 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Mozilla-based javascript bindings for the GNOME platform (cli tool)
  Makes it possible for applications to use all of GNOME's platform
@@ -49,7 +47,7 @@
 Depends: at-spi2-core,
          gir1.2-gtk-3.0,
          gir1.2-gtk-4.0,
-         gjs,
+         gjs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Mozilla-based javascript bindings for the GNOME platform (tests)

## gjs 1.86.0

=== meson_options.txt ===
# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2019 Philip Chimento <philip.chimento@gmail.com>

# Features

option('readline', type: 'feature', value: 'auto',
    description: 'Use readline for input in interactive shell and debugger')
option('profiler', type: 'feature', value: 'auto',
    description: 'Build profiler (Linux only)')

# Flags

option('installed_tests', type: 'boolean', value: true,
    description: 'Install test programs')
option('dtrace', type: 'boolean', value: false,
    description: 'Include dtrace trace support')
option('systemtap', type: 'boolean', value: false,
    description: 'Include systemtap trace support (requires -Ddtrace=true)')
option('bsymbolic_functions', type: 'boolean', value: true,
    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
option('skip_dbus_tests', type: 'boolean', value: false,
    description: 'Skip tests that use a DBus session bus')
option('skip_gtk_tests', type: 'boolean', value: false,
    description: 'Skip tests that need a display connection')
option('verbose_logs', type: 'boolean', value: false,
    description: 'Enable extra log messages that may decrease performance (not allowed in release builds)')

=== debian/changelog ===
gjs (1.86.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:46:41 +0000

gjs (1.86.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/patches: Drop all, applied upstream!
  * debian/patches: Fix a command line test when running in posix SH

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - d/control: Remove Rules-Requires-Root, no longer necessary since trixie
    - Standards-Version: 4.7.2 (no changes required)
    - Drop all other changes, not relevant in the 1.85.x branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 20:49:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-cairo-1.0-dev,
-               gir1.2-gio-2.0-dev,
-               gir1.2-girepository-3.0-dev,
-               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev (>= 2.86.0-7~),
+               gir1.2-girepository-3.0-dev (>= 2.86.0-7~),
+               gir1.2-gobject-2.0-dev (>= 2.86.0-7~),
                libcairo2-dev,
                libffi-dev,
-               libgirepository-2.0-dev,
-               libglib2.0-dev (>= 2.85.1),
+               libgirepository-2.0-dev (>= 2.86.0-7~),
+               libglib2.0-dev (>= 2.86.0-7~),
                libgtk-3-dev (>= 3.24.49-3~) <!nocheck>,
                libgtk-4-dev,
                libmozjs-140-dev,
@@ -24,8 +24,7 @@
                libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                xauth <!nocheck>,
                xvfb <!nocheck>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/-/blob/master/doc/README.md
@@ -63,7 +62,7 @@
 Multi-Arch: same
 Section: libs
 Depends: gir1.2-gio-2.0,
-         gir1.2-girepository-3.0,
+         gir1.2-girepository-3.0 (>= 2.86.0-7~),
          gir1.2-glib-2.0,
          gir1.2-gobject-2.0,
          ${gir:Depends},
@@ -83,7 +82,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libcairo2-dev,
-         libgirepository-2.0-dev,
+         libgirepository-2.0-dev (>= 2.86.0-7~),
          libgjs0 (= ${binary:Version}),
          libmozjs-140-dev,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 
 ifneq ($(filter arm64,$(DEB_HOST_ARCH)),)
 SYMBOLIC_FUNCTIONS = -Dbsymbolic_functions=false
-
-# The previous parameter is needed in arm now, but it leads to new private
-# symbols being exposed, although we don't care about tracking them.
-DPKG_GENSYMBOLS_CHECK_LEVEL = 1
 endif
 
 %:

## gjs 1.87.1

=== debian/changelog ===
gjs (1.87.1-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
    - Fix GST bindings (LP: #2129814)
  * d/p: Drop patch applied upstream
  * d/p: Add patch from upstream to fix meson unity build
  * d/p: Add patch from upstream to skip segfaulting autopkgtest

  [ Marco Trevisan (Treviño) ]
  * d/p: Include upstream-proposed patch to support GLib 2.87.3.
    Newer GLib will break gjs' GLibUnix usage so preemptively include the
    patches to support it, so we don't have to block on this, as they also
    safely work with previous GLib versions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Jan 2026 19:24:52 +0100

gjs (1.86.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * arm64: Build-Depend on versioned libmozjs to avoid symbol
    lookup error (Closes: #1125777)

 -- NoisyCoil <noisycoil@debian.org>  Mon, 19 Jan 2026 02:05:22 +0100

gjs (1.86.0-3) unstable; urgency=medium

  * Build sysprof support on all Linux architectures
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 10:31:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export DH_VERBOSE=1
 
-ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
+ifneq ($(DEB_HOST_ARCH_OS),linux)
 SYSPROF = -Dprofiler=disabled
 endif
